/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
/// <reference types="node" resolution-mode="require"/>
import _fsp from 'fs/promises';
import * as _path from 'path';
import { existsSync as _existsSync } from 'fs';
import { execa as _execa } from 'execa';
import { PackageManagerControllerBase } from './package_manager_controller_base.js';
/**
 * PnpmPackageManagerController is an abstraction around pnpm commands that are needed to initialize a project and install dependencies
 */
export declare class PnpmPackageManagerController extends PackageManagerControllerBase {
    protected readonly cwd: string;
    protected readonly fsp: typeof _fsp;
    protected readonly path: _path.PlatformPath;
    protected readonly execa: typeof _execa;
    protected readonly executeWithDebugLogger: (cwd: string, executable: string, args?: readonly string[] | undefined, execa?: typeof _execa, options?: import("execa").Options<"utf8"> | undefined) => import("execa").ExecaChildProcess<string>;
    protected readonly existsSync: typeof _existsSync;
    /**
     * constructor
     */
    constructor(cwd: string, fsp?: typeof _fsp, path?: _path.PlatformPath, execa?: typeof _execa, executeWithDebugLogger?: (cwd: string, executable: string, args?: readonly string[] | undefined, execa?: typeof _execa, options?: import("execa").Options<"utf8"> | undefined) => import("execa").ExecaChildProcess<string>, existsSync?: typeof _existsSync);
    /**
     * Pnpm doesn't handle the node process gracefully during the SIGINT life cycle.
     * See: https://github.com/pnpm/pnpm/issues/7374
     */
    allowsSignalPropagation: () => boolean;
}
//# sourceMappingURL=pnpm_package_manager_controller.d.ts.map